# Class TCLIService.GetResultSetMetadata_result

java.lang.Object
com.databricks.jdbc.model.client.thrift.generated.TCLIService.GetResultSetMetadata_result

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TCLIService.GetResultSetMetadata_result>`, `org.apache.thrift.TBase<TCLIService.GetResultSetMetadata_result,TCLIService.GetResultSetMetadata_result._Fields>`, `org.apache.thrift.TSerializable`

Enclosing class:
  `TCLIService`

public static class TCLIService.GetResultSetMetadata_result extends Object implements org.apache.thrift.TBase<TCLIService.GetResultSetMetadata_result,TCLIService.GetResultSetMetadata_result._Fields>, Serializable, Cloneable, Comparable<TCLIService.GetResultSetMetadata_result>

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`TCLIService.GetResultSetMetadata_result._Fields`
The set of fields this struct contains, along with convenience methods for finding and manipulating them.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Map<TCLIService.GetResultSetMetadata_result._Fields,org.apache.thrift.meta_data.FieldMetaData>`
`metaDataMap`
`TGetResultSetMetadataResp`
`success`

## Constructor Summary

Constructors
Constructor
Description
`GetResultSetMetadata_result()`
`GetResultSetMetadata_result(TCLIService.GetResultSetMetadata_result other)`
Performs a deep copy on other.
`GetResultSetMetadata_result(TGetResultSetMetadataResp success)`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`int`
`compareTo(TCLIService.GetResultSetMetadata_result other)`
`TCLIService.GetResultSetMetadata_result`
`deepCopy()`
`boolean`
`equals(TCLIService.GetResultSetMetadata_result that)`
`boolean`
`equals(Object that)`
`TCLIService.GetResultSetMetadata_result._Fields`
`fieldForId(int fieldId)`
`Object`
`getFieldValue(TCLIService.GetResultSetMetadata_result._Fields field)`
`TGetResultSetMetadataResp`
`getSuccess()`
`int`
`hashCode()`
`boolean`
`isSet(TCLIService.GetResultSetMetadata_result._Fields field)`
Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean`
`isSetSuccess()`
Returns true if field success is set (has been assigned a value) and false otherwise
`void`
`read(org.apache.thrift.protocol.TProtocol iprot)`
`void`
`setFieldValue(TCLIService.GetResultSetMetadata_result._Fields field, Object value)`
`TCLIService.GetResultSetMetadata_result`
`setSuccess(TGetResultSetMetadataResp success)`
`void`
`setSuccessIsSet(boolean value)`
`String`
`toString()`
`void`
`unsetSuccess()`
`void`
`validate()`
`void`
`write(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### success

public TGetResultSetMetadataResp success

### metaDataMap

public static final Map<TCLIService.GetResultSetMetadata_result._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

## Constructor Details

### GetResultSetMetadata_result

public GetResultSetMetadata_result()

### GetResultSetMetadata_result

public GetResultSetMetadata_result(TGetResultSetMetadataResp success)

### GetResultSetMetadata_result

public GetResultSetMetadata_result(TCLIService.GetResultSetMetadata_result other)
Performs a deep copy on other.

## Method Details

### deepCopy

public TCLIService.GetResultSetMetadata_result deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TCLIService.GetResultSetMetadata_result,TCLIService.GetResultSetMetadata_result._Fields>`

### clear

public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TCLIService.GetResultSetMetadata_result,TCLIService.GetResultSetMetadata_result._Fields>`

### getSuccess

public TGetResultSetMetadataResp getSuccess()

### setSuccess

public TCLIService.GetResultSetMetadata_result setSuccess(TGetResultSetMetadataResp success)

### unsetSuccess

public void unsetSuccess()

### isSetSuccess

public boolean isSetSuccess()
Returns true if field success is set (has been assigned a value) and false otherwise

### setSuccessIsSet

public void setSuccessIsSet(boolean value)

### setFieldValue

public void setFieldValue(TCLIService.GetResultSetMetadata_result._Fields field, Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TCLIService.GetResultSetMetadata_result,TCLIService.GetResultSetMetadata_result._Fields>`

### getFieldValue

public Object getFieldValue(TCLIService.GetResultSetMetadata_result._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TCLIService.GetResultSetMetadata_result,TCLIService.GetResultSetMetadata_result._Fields>`

### isSet

public boolean isSet(TCLIService.GetResultSetMetadata_result._Fields field)
Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TCLIService.GetResultSetMetadata_result,TCLIService.GetResultSetMetadata_result._Fields>`

### equals

public boolean equals(Object that)

Overrides:
  `equals` in class `Object`

### equals

public boolean equals(TCLIService.GetResultSetMetadata_result that)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### compareTo

public int compareTo(TCLIService.GetResultSetMetadata_result other)

Specified by:
  `compareTo` in interface `Comparable<TCLIService.GetResultSetMetadata_result>`

### fieldForId

public TCLIService.GetResultSetMetadata_result._Fields fieldForId(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TCLIService.GetResultSetMetadata_result,TCLIService.GetResultSetMetadata_result._Fields>`

### read

public void read(org.apache.thrift.protocol.TProtocol iprot) throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

### write

public void write(org.apache.thrift.protocol.TProtocol oprot) throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### validate

public void validate() throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`